Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518387 - RFE: Please update qemu-kvm to Fedora's version
Summary: RFE: Please update qemu-kvm to Fedora's version
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 19:38 UTC by Todd
Modified: 2017-12-08 16:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-08 16:26:11 UTC


Attachments (Terms of Use)

Description Todd 2017-11-28 19:38:50 UTC
Dear Red Hat,

I am coming from the community: Scientific Linux 7.4

$ rpm -qa qemu-kvm
qemu-kvm-1.5.3-141.el7_4.1.x86_64

Problem: not having the USB ports in qemu-kvm pass through properly is killing me.  For instance, scanners won't read and I have to go borrow someone's native Windows machine to cut Windows Flash Drive ISO's. (Microsoft has not caught up with Linux yet and you can not "dd" an ISO to a flash drive.  You have to use their utility.)

A colleague with Fedora 26 verified for me that these USB issues care corrected in qemu-kvm.

It would also be wonderful to have access to the numerous patches and performance enhancements.

Would you please consider upgrading qemu-kvm to match Fedora's version of something close.  The bugs and other things that don't quite work right are killing me.

Many thanks,
-T

Comment 4 Todd 2017-12-07 11:12:56 UTC
Add to the list of annoyances is that a USB drive burnt with Windows 10-1709 ISO with Windows DVD-USB tool crashes when booted off of this old, defunct version of qemu-kvm.

Comment 5 Martin Tessun 2017-12-08 16:26:11 UTC
Hi Todd,

unfortunately we cannot rebase qemu-kvm in RHEL 7 due to quite some constraints.
As you are using Scientific Linux, you could have a look at ovirt project: www.ovirt.org which provides a management infrastructure for VMs, ans also a quite more current qemu-kvm for CentOS.

The next rebase for qemu-kvm will happen in RHEL 8, but unfortunately not within RHEL 7.

Closing this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.